Bug 112652 - popt-1.8.2-0.7 changes ABI without changing library version number?
Summary: popt-1.8.2-0.7 changes ABI without changing library version number?
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: popt   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-26 13:36 UTC by Jonathan Kamens
Modified: 2007-04-18 17:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-26 15:09:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2003-12-26 13:36:33 UTC
I got this from logrotate last night after installing the new popt 
yesterday?

/usr/sbin/logrotate: Symbol `poptHelpOptions' has different size in 
shared object, consider re-linking

Does this mean that popt should have changed its shared library 
version number?

Comment 1 Jeff Johnson 2003-12-26 15:09:52 UTC
Sick hack added to preserve the pretense that popt has something
worthy of being called an ABI.

The issue is i18n, you can have either the pretense of an ABI
or you can have translated --help msgs. Not both as currently
implemented, very not good.

In CVS, will be in popt-1.8.2-0.8 when built.


Note You need to log in before you can comment on or make changes to this bug.